#ifndef _SNET_LIB_H
#define _SNET_LIB_H

#include <libsnet/snet.h>
#include <netlink/netlink.h>

struct snet_lib {
	struct nl_handle *snet_sock;
	int family;
};

int snet_attach(struct snet_lib *sl,
		unsigned int (*snet_cb)(uint32_t, uint8_t, uint8_t,
					uint8_t, uint32_t, uint32_t,
					struct snet_sock_info *));
int snet_add_event(struct snet_lib *sl, unsigned int protocol, unsigned int syscall);
int snet_del_event(struct snet_lib *sl, unsigned int protocol, unsigned int syscall);
int snet_destroy(struct snet_lib *sl);
int snet_get_event(struct snet_lib *sl);

#endif	/* _SNET_LIB_H */
